#
# spec file for package python-grpcio-gcp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-grpcio-gcp
Version:        0.2.2
Release:        bp153.1.15
Summary:        Google Cloud Platform gRPC extensions
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://grpc.io
Source:         https://files.pythonhosted.org/packages/source/g/grpcio-gcp/grpcio-gcp-%{version}.tar.gz
BuildRequires:  %{python_module grpcio >= 1.12.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-grpcio >= 1.12.0
BuildArch:      noarch
%python_subpackages

%description
gRPC extensions for Google Cloud Platform.

%prep
%setup -q -n grpcio-gcp-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.2
